/*
* http://www.foxplex.com/
*
* Universal RSS Feed Generator
*/

class unifeed {

	public $feed_title;
	public $feed_description;
	public $feed_language;
	public $feed_link;

	public $item_title = array();
	public $item_description = array();
	public $item_link = array();
	public $item_date = array();

	public $xml;

	function feed_create () {

		$feed_title = $this->feed_title;
		$feed_description = $this->feed_description;
		$feed_language = $this->feed_language;
		$feed_link = $this->feed_link;


		$xml = new DOMDocument('1.0', 'UTF-8');
		$xml->formatOutput = true;

		$rss = $xml->createElement('rss');
		$rss->setAttribute('version', '2.0');
		$xml->appendChild($rss);

		$channel = $xml->createElement('channel');
		$rss->appendChild($channel);

		$header = $xml->createElement('title',utf8_encode($feed_title));
		$channel->appendChild($header);

		$header = $xml->createElement('description',utf8_encode($feed_description));
		$channel->appendChild($header);

		$header = $xml->createElement('language',utf8_encode($feed_language));
		$channel->appendChild($header);

		$header = $xml->createElement('link',utf8_encode($feed_link));
		$channel->appendChild($header);


		$items_count = count($this->item_title);

		for ($i = 0; $i < $items_count; $i++) {

			$item_title[$i] = $this->item_title[$i];
			$item_description[$i] = $this->item_description[$i];
			$item_link[$i] = $this->item_link[$i];
			$item_date[$i] = $this->item_date[$i];


			$item = $xml->createElement('item');
			$channel->appendChild($item);

			$data = $xml->createElement('title',utf8_encode($item_title[$i]));
			$item->appendChild($data);

			$data = $xml->createElement('description',utf8_encode($item_description[$i]));
			$item->appendChild($data);

			$data = $xml->createElement('link', utf8_encode($item_link[$i]));
			$item->appendChild($data);

			$sql = mysql_query("SELECT UNIX_TIMESTAMP('$item_date[$i]')");
			$unixtimestamp = mysql_result($sql,0);

			$data = $xml->createElement('pubDate',utf8_encode(date("r", $unixtimestamp)));
			$item->appendChild($data);

		}


		header("Content-Type: application/rss+xml");
		return utf8_decode($xml->saveXML());

	}



}
